/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.NotaRemision;
import com.cosmodas.EntCosmos.WcRequisicionProducto;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface WcRequisicionProductoFacadeLocal {

    void create(WcRequisicionProducto wcRequisicionProducto);

    void edit(WcRequisicionProducto wcRequisicionProducto);

    void remove(WcRequisicionProducto wcRequisicionProducto);

    WcRequisicionProducto find(Object id);

    List<WcRequisicionProducto> findAll();

    List<WcRequisicionProducto> findRange(int[] range);

    int count();

    List<WcRequisicionProducto> obternerNoDespachadas(String sucursalCodigo,  String programaCodigo);

    List<WcRequisicionProducto> obternerDespachadas(String sucursalCodigo,  String programaCodigo);

    List<WcRequisicionProducto> obternerDespachadasTodasSalas();

    String obtenerNuevoRemision();

    void insertarDetalleRemision(String codigoRem, Integer cantidad, String produtoCodigo, String tipo);

    void guardarRemision(NotaRemision nota);

}
